Package org.python.core

# Class CompilerFlags

java.lang.Object
org.python.core.CompilerFlags

All Implemented Interfaces:
  `Serializable`

public class CompilerFlags extends Object implements Serializable

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`dont_imply_dedent`
`String`
`encoding`
`boolean`
`only_ast`
`static final int`
`PyCF_DONT_IMPLY_DEDENT`
`static final int`
`PyCF_ONLY_AST`
`static final int`
`PyCF_SOURCE_IS_UTF8`
`boolean`
`source_is_utf8`

## Constructor Summary

Constructors
Constructor
Description
`CompilerFlags()`
`CompilerFlags(int co_flags)`

## Method Summary

Modifier and Type
Method
Description
`CompilerFlags`
`combine(int flags)`
`CompilerFlags`
`combine(CompilerFlags flags)`
`static CompilerFlags`
`getCompilerFlags()`
`static CompilerFlags`
`getCompilerFlags(int flags, PyFrame frame)`
`static CompilerFlags`
`getCompilerFlags(CompilerFlags flags, PyFrame frame)`
`boolean`
`isFlagSet(CodeFlag flag)`
`void`
`setFlag(CodeFlag flag)`
`int`
`toBits()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PyCF_SOURCE_IS_UTF8

public static final int PyCF_SOURCE_IS_UTF8

See Also:
  - Constant Field Values

### PyCF_DONT_IMPLY_DEDENT

public static final int PyCF_DONT_IMPLY_DEDENT

See Also:
  - Constant Field Values

### PyCF_ONLY_AST

public static final int PyCF_ONLY_AST

See Also:
  - Constant Field Values

### only_ast

public boolean only_ast

### dont_imply_dedent

public boolean dont_imply_dedent

### source_is_utf8

public boolean source_is_utf8

### encoding

public String encoding

## Constructor Details

### CompilerFlags

public CompilerFlags()

### CompilerFlags

public CompilerFlags(int co_flags)

## Method Details

### toBits

public int toBits()

### setFlag

public void setFlag(CodeFlag flag)

### isFlagSet

public boolean isFlagSet(CodeFlag flag)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getCompilerFlags

public static CompilerFlags getCompilerFlags()

### getCompilerFlags

public static CompilerFlags getCompilerFlags(int flags, PyFrame frame)

### getCompilerFlags

public static CompilerFlags getCompilerFlags(CompilerFlags flags, PyFrame frame)

### combine

public CompilerFlags combine(CompilerFlags flags)

### combine

public CompilerFlags combine(int flags)